#!/bin/sh

$SUDO $PM $PM_INSTALL $PM_NOCONFIRM \
    zsh

# install pfetch
[ -d /tmp/pfetch ] || $SUDO bash -c \
    "git clone https://github.com/dylanaraps/pfetch.git /tmp/pfetch && cd /tmp/pfetch && (chmod a+x ./pfetch && $SUDO mv ./pfetch /usr/local/pfetch)"

# install omz
bash -c "$(curl -fsSL https://raw.githubusercontent.com/ohmyzsh/ohmyzsh/master/tools/install.sh)" "" --unattended || echo "zsh not installed"

# favourite omz plugins
PL_DIR=${ZSH_CUSTOM:-~/.oh-my-zsh/custom}/plugins/zsh-autosuggestions
[ -d "$PL_DIR" ] || git clone https://github.com/zsh-users/zsh-autosuggestions $PL_DIR
PL_DIR=${ZSH_CUSTOM:-~/.oh-my-zsh/custom}/plugins/zsh-syntax-highlighting
[ -d "$PL_DIR" ] || git clone https://github.com/zsh-users/zsh-syntax-highlighting.git $PL_DIR

# set default shell
$SUDO usermod $USER --shell /bin/zsh